Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Interface JspParserTreeConstants

All Known Implementing Classes:
  JspParser

    public interface JspParserTreeConstants

Field Summary
`static int` | `JJTATTRIBUTE`
`static int` | `JJTATTRIBUTEVALUE`
`static int` | `JJTCDATA`
`static int` | `JJTCOMMENTTAG`
`static int` | `JJTCOMPILATIONUNIT`
`static int` | `JJTCONTENT`
`static int` | `JJTDECLARATION`
`static int` | `JJTDOCTYPEDECLARATION`
`static int` | `JJTDOCTYPEEXTERNALID`
`static int` | `JJTELEMENT`
`static int` | `JJTELEXPRESSION`
`static int` | `JJTJSPCOMMENT`
`static int` | `JJTJSPDECLARATION`
`static int` | `JJTJSPDIRECTIVE`
`static int` | `JJTJSPDIRECTIVEATTRIBUTE`
`static int` | `JJTJSPEXPRESSION`
`static int` | `JJTJSPEXPRESSIONINATTRIBUTE`
`static int` | `JJTJSPSCRIPTLET`
`static java.lang.String[]` | `jjtNodeName`
`static int` | `JJTTEXT`
`static int` | `JJTUNPARSEDTEXT`
`static int` | `JJTVALUEBINDING`
`static int` | `JJTVOID`

Field Detail

### JJTCOMPILATIONUNIT

    static final int JJTCOMPILATIONUNIT

See Also:
  Constant Field Values

### JJTVOID

    static final int JJTVOID

See Also:
  Constant Field Values

### JJTCONTENT

    static final int JJTCONTENT

See Also:
  Constant Field Values

### JJTJSPDIRECTIVE

    static final int JJTJSPDIRECTIVE

See Also:
  Constant Field Values

### JJTJSPDIRECTIVEATTRIBUTE

    static final int JJTJSPDIRECTIVEATTRIBUTE

See Also:
  Constant Field Values

### JJTJSPSCRIPTLET

    static final int JJTJSPSCRIPTLET

See Also:
  Constant Field Values

### JJTJSPEXPRESSION

    static final int JJTJSPEXPRESSION

See Also:
  Constant Field Values

### JJTJSPDECLARATION

    static final int JJTJSPDECLARATION

See Also:
  Constant Field Values

### JJTJSPCOMMENT

    static final int JJTJSPCOMMENT

See Also:
  Constant Field Values

### JJTTEXT

    static final int JJTTEXT

See Also:
  Constant Field Values

### JJTUNPARSEDTEXT

    static final int JJTUNPARSEDTEXT

See Also:
  Constant Field Values

### JJTELEXPRESSION

    static final int JJTELEXPRESSION

See Also:
  Constant Field Values

### JJTVALUEBINDING

    static final int JJTVALUEBINDING

See Also:
  Constant Field Values

### JJTCDATA

    static final int JJTCDATA

See Also:
  Constant Field Values

### JJTELEMENT

    static final int JJTELEMENT

See Also:
  Constant Field Values

### JJTATTRIBUTE

    static final int JJTATTRIBUTE

See Also:
  Constant Field Values

### JJTATTRIBUTEVALUE

    static final int JJTATTRIBUTEVALUE

See Also:
  Constant Field Values

### JJTJSPEXPRESSIONINATTRIBUTE

    static final int JJTJSPEXPRESSIONINATTRIBUTE

See Also:
  Constant Field Values

### JJTCOMMENTTAG

    static final int JJTCOMMENTTAG

See Also:
  Constant Field Values

### JJTDECLARATION

    static final int JJTDECLARATION

See Also:
  Constant Field Values

### JJTDOCTYPEDECLARATION

    static final int JJTDOCTYPEDECLARATION

See Also:
  Constant Field Values

### JJTDOCTYPEEXTERNALID

    static final int JJTDOCTYPEEXTERNALID

See Also:
  Constant Field Values

### jjtNodeName

    static final java.lang.String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.